<div
  class="w-full mb-3 flex flex-col space-y-2 rounded-[10px] bg-white px-4 py-3 shadow-[0px_1px_2px_0px_rgba(0,0,0,0.25)] lg:border lg:border-gray-200 lg:shadow-none">
  <div class="flex items-center justify-between">
    <div class="flex space-x-1">
      @if (kanban.priority === 'HIGH') { <app-tag [color]="'red'">{{ kanban.priority }}</app-tag> }
      @else if(kanban.priority === 'MIDDLE'){ <app-tag [color]="'blue'">{{ kanban.priority }}</app-tag> }
      @else { <app-tag [color]="'grey'">{{ kanban.priority }}</app-tag> }
    </div>
    @if (milestoneType) {
    @if (kanban.status === 'WAITING') { <app-status-tag [color]="'blue'">대기</app-status-tag> }
    @else if(kanban.status === 'IN_PROGRESS'){ <app-status-tag [color]="'papule'">진행</app-status-tag> }
    @else if(kanban.status === 'REVIEW'){ <app-status-tag [color]="'yellow'">검수</app-status-tag> }
    @else { <app-status-tag [color]="'grey'">완료</app-status-tag>
    }
    }@else{
      <app-more-option-button (updateBtnClick)="kanbanUpdate(kanban.name)" (deleteBtnClick)="kanbanDelete(kanban.name)" /> 
    } 
  </div>

  <div class="text-sm leading-5">{{ kanban.name }}</div>

  <div class="flex items-center justify-between">
    <!-- 라벨 -->
    <div class="flex gap-1.5">
      @if(kanban.kanbanLabels.length > 0){
      <app-label>
        <p class="max-w-20 truncate ...">#{{ kanban.kanbanLabels[0].name }}</p>
      </app-label>
      }
      @if(kanban.kanbanLabels.length > 1){
      <app-label>+{{ kanban.kanbanLabels.length-1 }}</app-label>
      }
    </div>

    <!-- 작업자들 -->
    <div class="flex [&>div:nth-child(n+4)]:hidden">
      @for (worker of kanban.workers; track $index) {

      <div class="relative -mr-1.5 rounded-full ring-2 ring-white">
        @if(kanban.workers.length >= 4 && $index >= 2){
        <div
          class="flex h-6 w-6 items-center justify-center rounded-full bg-primary text-[10px] font-semibold text-white ring-2 ring-white">
          +{{kanban.workers.length-2}}</div>
        }
        @else {
          <ion-avatar class="w-6 h-6 overflow-hidden shadow-sm">
            <img alt="avatar" class="w-full h-full" [src]="worker.thumbnail ?? 'assets/images/avatar.png'" />
          </ion-avatar>  
        }
      </div>
      }
    </div>
  </div>
</div>